bm::bit_visitor_back_inserter_adaptor< BII, size_type > Struct Template Reference

functor-adaptor for back-inserter More...

`#include <bmalgo_impl.h>`

## Public Member Functions

| bit_visitor_back_inserter_adaptor (BII bi)
int | add_bits (size_type offset, const unsigned char *bits, unsigned size)
int | add_range (size_type offset, size_type size)

## Data Fields

BII | bi_

## Detailed Description

template<class BII, class size_type>
struct bm::bit_visitor_back_inserter_adaptor< BII, size_type >

functor-adaptor for back-inserter

Definition at line 158 of file bmalgo_impl.h.

## Constructor & Destructor Documentation

## bit_visitor_back_inserter_adaptor()

template<class BII, class size_type>

bm::bit_visitor_back_inserter_adaptor< BII, size_type >::bit_visitor_back_inserter_adaptor | ( | BII | bi | ) |

inline

Definition at line 161 of file bmalgo_impl.h.

References bi_.

## Member Function Documentation

## add_bits()

template<class BII, class size_type>

int bm::bit_visitor_back_inserter_adaptor< BII, size_type >::add_bits | ( | size_type | offset,
|  | const unsigned char * | bits,
|  | unsigned | size )

inline

Definition at line 165 of file bmalgo_impl.h.

References bi_.

## add_range()

template<class BII, class size_type>

int bm::bit_visitor_back_inserter_adaptor< BII, size_type >::add_range | ( | size_type | offset,
|  | size_type | size )

inline

Definition at line 171 of file bmalgo_impl.h.

References bi_.

## Field Documentation

## bi_

template<class BII, class size_type>

BII bm::bit_visitor_back_inserter_adaptor< BII, size_type >::bi_

Definition at line 178 of file bmalgo_impl.h.

Referenced by add_bits(), add_range(), and bit_visitor_back_inserter_adaptor().

The documentation for this struct was generated from the following file:

- bmalgo_impl.h